org.eclipse.jdt.launching.sourcelookup.advanced

## Interface ISourceContainerResolver

    public interface ISourceContainerResolver

Implementations of this interface identify runtime classes locations and download (or "resolve") corresponding sources from external sources repositories like Maven or P2 artifact repositories and PDE target platform. Implementations are registered with the advanced source lookup framework using `org.eclipse.jdt.launching.sourceContainerResolvers` extension point.

Since:
  3.10

### Method Summary

All Methods Instance Methods Abstract Methods
`Collection<ISourceContainer>` `resolveSourceContainers(File classesLocation, IProgressMonitor monitor)` Creates and returns a collection of source containers that correspond to the given filesystem classes location.

### Method Detail

#### resolveSourceContainers

    Collection<ISourceContainer> resolveSourceContainers(File classesLocation,
                                                         IProgressMonitor monitor)
                                                  throws CoreException

Creates and returns a collection of source containers that correspond to the given filesystem classes location. Returns `null` or an empty collection if requested sources cannot be located.

Throws:
  `CoreException`